<?php

namespace Drupal\content_language_no_outbound\Plugin\LanguageNegotiation;

use Drupal\Core\Language\LanguageInterface;
use Drupal\Core\StringTranslation\TranslatableMarkup;
use Drupal\language\Attribute\LanguageNegotiation;
use Drupal\language\Plugin\LanguageNegotiation\LanguageNegotiationContentEntity;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\Routing\Route;

/**
 * Class for identifying the content translation language.
 */
#[LanguageNegotiation(
  id: LanguageNegotiationContentEntityNoOutbound::METHOD_ID,
  name: new TranslatableMarkup('Content language (no outbound)'),
  types: [LanguageInterface::TYPE_CONTENT],
  weight: -10,
  description: new TranslatableMarkup("Determines the content language from the request parameter named 'language_content_entity' but does not set this parameter ever.")
)]
class LanguageNegotiationContentEntityNoOutbound extends LanguageNegotiationContentEntity {

  /**
   * The language negotiation method ID.
   */
  const METHOD_ID = 'language-content-entity-no-outbound';

  /**
   * {@inheritdoc}
   */
  protected function meetsContentEntityRoutesCondition(Route $outbound_route, Request $request) {
    return FALSE;
  }

}
